be.fgov.ehealth.dics.protocol.v5

## Class ConsultWadaType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultWadaType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:17:29+02:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultWadaType
      extends Object
      implements Serializable

  Java class for ConsultWadaType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultWadaType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             </sequence>
             <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultWadaType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `ConsultTextType` | `getDescription()` Gets the value of the description property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setDescription(ConsultTextType value)` Sets the value of the description property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultWadaType

          public ConsultWadaType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getDescription

          public ConsultTextType getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `ConsultTextType`

    - #### setDescription

          public void setDescription(ConsultTextType value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.